### File

`packages/ecl/components/ecl-site-footer/ecl-footer-elements/ecl-site-footer-coowner/ecl-site-footer-coowner.directive.ts`

### Description

Directive, that applies a specific class to a list item (

- ) in site footer's co-owner section. Also add classes for the eclLinks children of the list item.

  ### Extends

  `ECLBaseDirective`

  ### Metadata

  Selector | `[eclSiteFooterCoownerItem]`

  ### Index

  ###### Properties
  eclLinks
  ###### Methods
  getCssClasses
  ###### Inputs
  class e2eAttr tabindex
  ###### HostBindings
  class
  ###### Accessors
  cssClasses

  ### Constructor

  `constructor()`

  ### Inputs

  class
  Type : `string`

  e2eAttr
  Type : `any`

  tabindex
  Type : `number`

  ### HostBindings

  class
  Type : `string`

  ### Methods

  getCssClasses
  `getCssClasses(rootClass: string)`
  Parameters :
  Name | Type | Optional
  rootClass | `string` | No
  Returns : `string`

  ### Properties

  eclLinks
  Type : `unknown`
  Default value : `contentChildren(EclLinkDirective)`

  ### Accessors

  cssClasses
  get `cssClasses()`

# results matching ""

# No results matching ""